> ## Documentation Index
> Fetch the complete documentation index at: https://razorpay-881012b3.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# About Partner Auth

> Use the Partner Auth credentials while using Razorpay product APIs to accept customer payments on behalf of your sub-merchants.

<div style={{display:"flex",flexWrap:"wrap",alignItems:"center",gap:"0.35rem 0.9rem",border:"1px solid rgba(128,128,128,0.28)",borderRadius:"0.5rem",padding:"0.45rem 0.75rem",margin:"0 0 1.25rem",fontSize:"0.875rem"}}>
  <span style={{fontWeight:600}}>Available in</span>
  <span>🇮🇳 India</span>
</div>

You need to use Partner Auth credentials to accept payments from customers on behalf of your sub-merchants. You can use these Razorpay products to accept payments:

* [Payment Gateway](/docs/partners/aggregators/partner-auth/payment-gateway)
* [Payment Links](/docs/partners/aggregators/partner-auth/payment-links)
* [QR Codes](/docs/partners/aggregators/partner-auth/qr-codes)
* [Smart Collect](/docs/partners/aggregators/partner-auth/smart-collect)
* [Subscription](/docs/partners/aggregators/partner-auth/subscriptions)
* [Recurring Payments](/docs/partners/aggregators/partner-auth/recurring-payments)

## Get Partner Auth Credentials

Use the Partner credentials as described in the [Dashboard Guide](/docs/partners/aggregators#partner-credentials).

Watch this video to see how to access your Partner credentials.

<iframe width="560" height="315" src="https://www.youtube.com/embed/TS1Z4CS5GGM?si=uWzzpNy7nJ3klw29" title="YouTube video player" frameBorder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowFullScreen />

<Info>
  **Handy Tips**

  * We use `Basic Auth` for authorising Partner requests.
  * These credentials are mode-specific. In addition to the API Key ID and Secret, provide the sub-merchant identification in the API requests in the header.
</Info>

## How to Use Partner Auth in APIs

To your API request:

1. Add the basic auth with partner credentials (client\_id and client\_secret).
2. Add the `account_id` of the sub-merchant using `X-Razorpay-Account` in the header.

You can use Partner Auth for all [Razorpay APIs](/docs/api).

Below is an example for [Orders API](/docs/api/orders).

<CodeGroup>
  ```bash GET Request theme={null}
  curl -u [CLIENT_ID]:[CLIENT_SECRET] \
  -X GET https://api.razorpay.com/v1/orders \
  -H "Content-Type: application/json" \
  -H "X-Razorpay-Account: acc_Ef7ArAsdU5t0XL" \
  ```

  ```bash POST Request theme={null}
  curl -u [CLIENT_ID]:[CLIENT_SECRET] \
  -X POST https://api.razorpay.com/v1/orders \
  -H "Content-Type: application/json" \
  -H "X-Razorpay-Account: acc_Ef7ArAsdU5t0XL" \
  -d '{
      "amount": 10000,
      "currency": "INR",
      "receipt": "1"
  }'
  ```
</CodeGroup>

### Related Information

* [About Aggregators](/docs/partners/aggregators)
* [Add Sub-merchants](/docs/partners/aggregators/add-submerchants)
* [Testing Operations](/docs/partners/aggregators/testing)
